import time
from classifier import plot_classifiers
import argparse


def main(n=1):
    times = []
    for i in range(1, n+1):
        start = time.time()
        plot_classifiers()
        runtime = round(time.time() - start, 3)
        times.append(runtime)
        print(f"Time for round {i}: {runtime} s")

    print("--------")
    # maximum and minimum runtime
    print(f"Maximum runtime: {max(times)} s")
    print(f"Minimum runtime: {min(times)} s")
    # calculate average runtime
    avg_runtime = round(sum(times) / len(times), 3)
    print(f"Average runtime: {avg_runtime} s")



if __name__ == "__main__":
    # input number of times script should be run
    parser = argparse.ArgumentParser()
    parser.add_argument("n", type=int, help="number of times to run script")
    args = parser.parse_args()
    main(args.n)