# Data

[[_TOC_]]

## Overview

This folder contains the **dataset** used in the project. The dataset is a **collection of images of various fruits**, which will be used to train and evaluate our classification models. In this project, we focus on a subset of the available data from the original [Fruit-262 dataset](https://www.kaggle.com/datasets/aelchimminut/fruits262), specifically 30 different fruit classes. We divide our *Fruit-30 dataset* into **training**, **validation**, and **test** sets to facilitate effective model training and evaluation. For further details, see the [data section in the project's README](../README.md#data).

:warning: *Disclaimer:* Since the dataset is quite large, it is not stored in the repository. Instead, we provide instructions on how to download and prepare the dataset in the following sections.


## 🔧Data Preparation

Follow the instructions below to prepare the data in the required format and folder structure.

**Step 1: Downloading the Dataset**

Dataset Acquisition: 
- Download the dataset from here: https://www.kaggle.com/datasets/aelchimminut/fruits262. Our final dataset is approximately 400 MB in size, but the original dataset is much larger. Make sure you have sufficient storage space (~ 7 GB) available.

Extraction: 
- Once downloaded, extract the dataset into the data folder within the project's directory (`project/data/Fruit-262`).

Your data is downloaded! :sparkles:

Now you can proceed to preparing the data for training and evaluation. 

**Step 2: [Data Preprocessing](data_preprocessing/README.md)**
