# Figures

This folder contains several figures that are used in the project. These are:
- folders for each of the classifiers, containing the figures for the confusion matrices, learning curves, grid search results, ...
  - `cnn`
  - `decision_tree`
  - `naive_bayes`
  - `random_forest`
- the folders `correctly_classified` and `misclassified` containing examples of correctly and misclassified images
- the folder `examples_from_dataset` containing examples of images from the dataset, with applied filters and resizing
- as well as the following figures:
    - `baselines.png` => a figure comparing the performance of the baseline models
    - `class_distribution_histogram.png` and `class_distribution_histogram` => histograms of the class distribution in the dataset
    - `data_reduction.png` => a diagram showing the results for training on a reduced dataset
    - `dataset_split.png` => a pie chart showing the split of the dataset into training, validation and test set
    - `final_results.png` => a plot showing the final results of the classifiers on the test set
    - `image_features.png` => a visualization of the features extracted from an image
